%global debug_package %{nil}
%global pypi_name imaplib2
%global pypi_version 3.6
%global toolchain clang

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        %autorelease
Summary:        A threaded Python IMAP4 client

License:        MIT
URL:            https://github.com/jazzband/imaplib2/
Source0:        %{pypi_source}

BuildArch:      noarch
BuildRequires:  clang
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(pip)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(setuptools-scm)
BuildRequires:  python3dist(wheel)

%global _description %{expand:
A threaded Python IMAP4 client based on RFC 3501 and original imaplib module.
This is a version of imaplib that uses threads to allow full use of the IMAP4
concurrency features, and to de-couple a user of imaplib from i/o lags,
except where explicitly allowed.}

%description %_description

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name} %_description


%prep
%autosetup -p1 -n %{pypi_name}-%{pypi_version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files -l imaplib2


%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md


%changelog
* Sat Jul 05 2025 David Andres Ramirez Salomon <david35mm@disroot.org> - 3.6-1
- Initial package.
